#!/bin/bash

function repairPluginPackage() {
	if [ ! -d ~/.local/share/Kingsoft/wps/jsaddons/hmwpscheck_1.0.0 ];then
		if [ ! -d ~/.local/share/Kingsoft/wps/jsaddons ];then
			mkdir -p ~/.local/share/Kingsoft/wps/jsaddons
		fi
		cp -a /opt/apps/cn.wps.hmcheck/files/inst/hmwpscheck_1.0.0 ~/.local/share/Kingsoft/wps/jsaddons
	fi
}

function repairPluginXml() {
	if [ ! -f ~/.local/share/Kingsoft/wps/jsaddons/jsplugins.xml ];then
		if [ ! -d ~/.local/share/Kingsoft/wps/jsaddons ];then
			mkdir -p ~/.local/share/Kingsoft/wps/jsaddons
		fi
		touch -f ~/.local/share/Kingsoft/wps/jsaddons/jsplugins.xml
		echo -e "<jsplugins>\n</jsplugins>" > ~/.local/share/Kingsoft/wps/jsaddons/jsplugins.xml
	fi
	findRow=`sed -e p ~/.local/share/Kingsoft/wps/jsaddons/jsplugins.xml | grep hmwpscheck`
	if [[ ! $findRow =~ "hmwpscheck" ]];then
		sed -i '/<jsplugins>/a\    <jsplugin url="http://127.0.0.1:3889/hmwpscheck_1.0.0.7z" name="hmwpscheck" version="1.0.0" type="wps"/>' ~/.local/share/Kingsoft/wps/jsaddons/jsplugins.xml
	fi
}

function repairHMCheckIni() {
	if [ ! -d ~/.local/share/Kingsoft/hmcheck ];then
		mkdir -p ~/.local/share/Kingsoft/hmcheck
	fi
	if [ ! -f ~/.local/share/Kingsoft/hmcheck/hmcheck_wps.ini ];then
		cp /opt/apps/cn.wps.hmcheck/files/inst/hmcheck_wps.ini ~/.local/share/Kingsoft/hmcheck
	fi
}

function repairHMCheckDat() {
	if [ ! -d ~/.local/share/Kingsoft/hmcheck ];then
		mkdir -p ~/.local/share/Kingsoft/hmcheck
	fi
	if [ ! -f ~/.local/share/Kingsoft/hmcheck/hmcheck.dat ];then
		touch ~/.local/share/Kingsoft/hmcheck/hmcheck.dat
        echo "[Install]" >> ~/.local/share/Kingsoft/hmcheck/hmcheck.dat
        echo "InstallDir=/opt/apps/cn.wps.hmcheck" >> ~/.local/share/Kingsoft/hmcheck/hmcheck.dat
	fi
}

function repairFindlib() {
	if [ ! -d ~/.local/share/Kingsoft/hmcheck ];then
		mkdir -p ~/.local/share/Kingsoft/hmcheck
	fi
	if [ ! -f ~/.local/share/Kingsoft/hmcheck/findlib.txt ];then
		cp /opt/apps/cn.wps.hmcheck/files/findlib.txt ~/.local/share/Kingsoft/hmcheck
	fi
}

repairPluginPackage
repairPluginXml
repairHMCheckIni
repairHMCheckDat
repairFindlib
